Bug 1573598 - [abrt] abrt-plugin-bodhi: abspath(): posixpath.py:376:abspath:FileNotFoundError: [Errno 2] No such file or directory
Summary: [abrt] abrt-plugin-bodhi: abspath(): posixpath.py:376:abspath:FileNotFoundErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Marušák
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d5546dcaae6ca8184523b90310b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 18:38 UTC by Hawk
Modified: 2019-02-09 02:13 UTC (History)
6 users (show)

Fixed In Version: abrt-2.12.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-09 02:13:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (427 bytes, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: environ (4.48 KB, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: mountinfo (4.04 KB, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details
File: open_fds (384 bytes, text/plain)
2018-05-01 18:38 UTC, Hawk
no flags Details

Description Hawk 2018-05-01 18:38:22 UTC
Version-Release number of selected component:
abrt-plugin-bodhi-2.10.9-2.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-find-bodhi-update
crash_function: abspath
exception_type: FileNotFoundError
executable:     /usr/bin/abrt-action-find-bodhi-update
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
posixpath.py:376:abspath:FileNotFoundError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/abrt-action-find-bodhi-update", line 70, in <module>
    DIR_PATH = os.path.abspath(OPTIONS.problem_dir)
  File "/usr/lib64/python3.6/posixpath.py", line 376, in abspath
    cwd = os.getcwd()
FileNotFoundError: [Errno 2] No such file or directory

Local variables in innermost frame:
path: '.'

Comment 1 Hawk 2018-05-01 18:38:29 UTC
Created attachment 1429436 [details]
File: backtrace

Comment 2 Hawk 2018-05-01 18:38:30 UTC
Created attachment 1429437 [details]
File: cgroup

Comment 3 Hawk 2018-05-01 18:38:31 UTC
Created attachment 1429438 [details]
File: cpuinfo

Comment 4 Hawk 2018-05-01 18:38:32 UTC
Created attachment 1429439 [details]
File: environ

Comment 5 Hawk 2018-05-01 18:38:33 UTC
Created attachment 1429440 [details]
File: mountinfo

Comment 6 Hawk 2018-05-01 18:38:34 UTC
Created attachment 1429441 [details]
File: namespaces

Comment 7 Hawk 2018-05-01 18:38:35 UTC
Created attachment 1429442 [details]
File: open_fds

Comment 8 Matej Marušák 2019-01-18 13:28:35 UTC
Reproducible:
1. create crash
2. cd into  dumpdir
3. remove that dupdir from diferent terminal window
4. Run `/usr/bin/abrt-action-find-bodhi-update` in the original window

Upstream PR https://github.com/abrt/abrt/pull/1358

Comment 9 Fedora Update System 2019-02-04 14:05:04 UTC
abrt-2.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cebd9d497

Comment 10 Fedora Update System 2019-02-05 04:05:41 UTC
abrt-2.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cebd9d497

Comment 11 Fedora Update System 2019-02-05 16:15:55 UTC
abrt-2.12.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cebd9d497

Comment 12 Fedora Update System 2019-02-06 04:35:08 UTC
abrt-2.12.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cebd9d497

Comment 13 Fedora Update System 2019-02-09 02:13:20 UTC
abrt-2.12.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.